<template>
  <div
    class="ui selection dropdown"
    id="dropdown-pavillons"
  >
    <input
      name="pavillon"
      type="hidden"
    >
    <div
      class="default text"
    >
      {{ count > 0 ? 'Pavillon' : 'Pas de pavillon'}}
    </div>
    <div class="menu">
      <div
        class="item"
        v-for="pavillon in pavillons"
        :key="pavillon._id"
        :class="initialPavillon !== undefined && initialPavillon._id === pavillon._id ? 'active selected' : ''"
        :data-value="pavillon._id"
      >
        Pav. {{ pavillon.name }}
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'

import store from '@/store/Store'

export default {
  name: 'DropdownPavillons',
  store,
  props: {
    initialPavillon: Object
  },
  beforeCreate () {
    store.dispatch('PavillonsStore/loadPavillons')
      .then(
        (response) => {

        },
        (error) => {
          this.$toastr.e(error.response.data.message)
        }
      )
  },
  mounted () {
    var self = this

    // eslint-disable-next-line
    $('#dropdown-pavillons')
      .dropdown({
        onChange (value, text, $selectedItem) {
          self.$emit('pavillonChanged', value)
        }
      })
  },
  computed: {
    ...mapGetters({
      pavillons: 'PavillonsStore/pavillons',
      count: 'PavillonsStore/count'
    })
  }
}
</script>
